<?php
session_start();
error_reporting(0);

date_default_timezone_set('america/mexico_city');
include "../js/conectpoo.php";

switch($_GET['op']){

case '1':{
$idLN=$_GET['idLN'];
$kuery ="SELECT * FROM `tipologias` WHERE  `id_datosmaestros` ='$idLN'";
$objeto= new db();

$datos=$objeto->consultaregistros($kuery);

    for($x=0;$x<count($datos);$x++){
		$id_tipologia =  $datos[$x]['id_tipologias'];
		$nombre =  $datos[$x]['nombre'];
		
		$resp.=<<<jjj
$id_tipologia * $nombre -
jjj;
	}

$contenido = $resp;
}break;


case '2':{
$tabla = $_GET['tabla'];
$sArray = $_GET['sArray'];
$objeto= new db();
$valores="''"; 
for($x=1; $x<count($sArray); $x++){
    $valores = $valores.",'".$sArray[$x]."'";
}

$resultado=$objeto->insertGen($valores, $tabla);

$contenido=$resultado; 
}break;


case '3':{
   
$kuery = "SELECT id_cc,nombre,IF(cc.id_cliente=0,'N/A',(select clientes.Razon_social from clientes where clientes.id_clientes=cc.id_cliente)) AS cliente,IF(cc.id_lnegocio=0,'N/A',(select datosmaestros.linadenegocio from datosmaestros where datosmaestros.id_datosmaestros=cc.id_lnegocio)) AS lnegocio,IF(cc.id_tipologia=0,'N/A',(select tipologias.nombre from tipologias where tipologias.id_tipologias=cc.id_tipologia)) AS tipologia,fecha_ingreso FROM `cc` ORDER BY `id_cc` ASC";

$objeto= new db();
$resultado = $objeto->consultaregistros($kuery);

    
for($x=0; $x < count($resultado); $x++){
    $id_cc =  $resultado[$x]['id_cc'];
    $nombre =  $resultado[$x]['nombre'];
    $cliente =  $resultado[$x]['cliente'];
    $lnegocio =  $resultado[$x]['lnegocio'];
    $tipologia =  $resultado[$x]['tipologia'];
    $fecha_ingreso =  $resultado[$x]['fecha_ingreso'];
    
    $resp.=<<<jjj
        $id_cc * $nombre * $cliente * $lnegocio * $tipologia * $fecha_ingreso _

jjj;
}

$contenido = $resp;    
}break;


case '4':{ 
$iduser = $_GET['iduser'];
$tablereg = $_GET['tablereg'];

$kuery = "SELECT (id_egreso) FROM `egreso` WHERE id_cc=$iduser ORDER BY `egreso`.`id_cc` ASC";
$objeto= new db();
$resultado = $objeto->consultaregistros($kuery);

if(count($resultado) == 0){
$datosbanner=$objeto->delete($tablereg, $iduser);
}else{
$datosbanner=2;    
}


$contenido=<<<content
    $datosbanner
content;
}
break;


case '5':{
$cliente=$_GET['cliente'];

$kuery ="SELECT * FROM `proyectos` WHERE `id_cliente` = $cliente";
$objeto= new db();
$datosbanner=$objeto->consultaregistros($kuery);
    for($x=0;$x<count($datosbanner);$x++){
        $id_proyectos =  $datosbanner[$x]['id_proyectos'];
        $id_cliente =  $datosbanner[$x]['id_cliente'];
        $nombre =  $datosbanner[$x]['nombre'];
        $fecha =  $datosbanner[$x]['fecha'];

        $resp.=<<<jjj
$id_proyectos * $nombre -
jjj;
    }
$resp = substr($resp, 0, -2);
$contenido = $resp;
}break;


case '6':{
$proyecto=$_GET['proyecto'];

$kuery ="SELECT * FROM `proyectos` WHERE `id_proyectos` = $proyecto";
$objeto= new db();
$datosbanner=$objeto->consultaregistros($kuery);
$id_proyectos =  $datosbanner[0]['id_proyectos'];
$nombre =  $datosbanner[0]['nombre'];
$id_cliente =  $datosbanner[0]['id_cliente'];
$id_lnegocio =  $datosbanner[0]['idlineadenegocio'];
$id_tipologia =  $datosbanner[0]['idtipologia'];
$id_cc =  $datosbanner[0]['cc'];

$resp.=<<<jjj
$id_proyectos * $nombre * $id_cliente * $id_lnegocio * $id_tipologia * $id_cc
jjj;

$contenido = $resp;
}break;


case '7':{
$cc = $_GET['cc'];
$id_proyecto = $_GET['id_proyecto'];

$objeto= new db();

$resultado=$objeto->updateGen('proyectos', 'cc', $cc , 'id_proyectos' , $id_proyecto);

$contenido=$resultado; 
}break;

}

echo $contenido;


?>
